<?php

namespace Lc\SovBundle\Form\Type\User;

use Lc\SovBundle\DataTransformer\FileManagerTypeToDataTransformer;
use Lc\SovBundle\Doctrine\EntityManager;
use Lc\SovBundle\Entity\File\File;
use Lc\SovBundle\Doctrine\Extension\FileInterface;
use Lc\SovBundle\Model\User\UserInterface;
use Symfony\Component\Form\AbstractType;
use Symfony\Component\Form\Extension\Core\Type\EmailType;
use Symfony\Component\Form\Extension\Core\Type\SubmitType;
use Symfony\Component\Form\Extension\Core\Type\TextType;
use Symfony\Component\Form\FormBuilderInterface;
use Symfony\Component\OptionsResolver\OptionsResolver;

class ProfileFormType extends AbstractType
{
    protected $em ;

    public function __construct(EntityManager $em)
    {
        $this->em = $em ;
    }

    public function buildForm(FormBuilderInterface $builder, array $options)
    {
        $builder->add(
                'firstname',
                TextType::class,
                array(
                        'label' => 'Prénom'
                )
        );

        $builder->add(
                'lastname',
                TextType::class,
                array(
                        'label' => 'Nom'
                )
        );

        $builder->add(
                'email',
                EmailType::class,
                array(
                        'label' => 'Email'
                )
        );

        $builder->add(
                'phone',
                TextType::class,
                array(
                        'label' => 'Téléphone'
                )
        );

        $builder->add(
                'submit',
                SubmitType::class,
                array(
                        'label' => 'Sauvegarder'
                )
        );
    }

    /**
     * {@inheritdoc}
     */
    public function configureOptions(OptionsResolver $resolver)
    {
        $resolver->setDefaults(
                [
                        'data_class' => $this->em->getEntityName(UserInterface::class),
                ]
        );
    }
}
